#ifndef SETSHEETSIZE_H
#define SETSHEETSIZE_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

class Ui_dlgSheetSize
{
public:
    QVBoxLayout *vboxLayout;
    QGridLayout *gridLayout;
    QLabel *label;
    QLabel *label_2;
    QLineEdit *editWidth;
    QLineEdit *editHeight;
    QHBoxLayout *hboxLayout;
    QSpacerItem *spacerItem;
    QPushButton *okButton;
    QPushButton *cancelButton;

    void setupUi(QDialog *dlgSheetSize)
    {
    dlgSheetSize->setObjectName(QString::fromUtf8("dlgSheetSize"));
    dlgSheetSize->resize(QSize(217, 107).expandedTo(dlgSheetSize->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(dlgSheetSize);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(9);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    gridLayout = new QGridLayout();
    gridLayout->setSpacing(6);
    gridLayout->setMargin(0);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    label = new QLabel(dlgSheetSize);
    label->setObjectName(QString::fromUtf8("label"));

    gridLayout->addWidget(label, 0, 0, 1, 1);

    label_2 = new QLabel(dlgSheetSize);
    label_2->setObjectName(QString::fromUtf8("label_2"));

    gridLayout->addWidget(label_2, 1, 0, 1, 1);

    editWidth = new QLineEdit(dlgSheetSize);
    editWidth->setObjectName(QString::fromUtf8("editWidth"));
    editWidth->setMaxLength(4);

    gridLayout->addWidget(editWidth, 0, 1, 1, 1);

    editHeight = new QLineEdit(dlgSheetSize);
    editHeight->setObjectName(QString::fromUtf8("editHeight"));
    editHeight->setMaxLength(4);

    gridLayout->addWidget(editHeight, 1, 1, 1, 1);


    vboxLayout->addLayout(gridLayout);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    spacerItem = new QSpacerItem(131, 31, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(spacerItem);

    okButton = new QPushButton(dlgSheetSize);
    okButton->setObjectName(QString::fromUtf8("okButton"));

    hboxLayout->addWidget(okButton);

    cancelButton = new QPushButton(dlgSheetSize);
    cancelButton->setObjectName(QString::fromUtf8("cancelButton"));

    hboxLayout->addWidget(cancelButton);


    vboxLayout->addLayout(hboxLayout);

    retranslateUi(dlgSheetSize);
    QObject::connect(okButton, SIGNAL(clicked()), dlgSheetSize, SLOT(accept()));
    QObject::connect(cancelButton, SIGNAL(clicked()), dlgSheetSize, SLOT(reject()));

    QMetaObject::connectSlotsByName(dlgSheetSize);
    } // setupUi

    void retranslateUi(QDialog *dlgSheetSize)
    {
    dlgSheetSize->setWindowTitle(QApplication::translate("dlgSheetSize", "Qt-BSch3V sheet size", 0, QApplication::UnicodeUTF8));
    label->setText(QApplication::translate("dlgSheetSize", "Width (500..3000)", 0, QApplication::UnicodeUTF8));
    label_2->setText(QApplication::translate("dlgSheetSize", "Height (400..2000)", 0, QApplication::UnicodeUTF8));
    okButton->setText(QApplication::translate("dlgSheetSize", "OK", 0, QApplication::UnicodeUTF8));
    cancelButton->setText(QApplication::translate("dlgSheetSize", "Cancel", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(dlgSheetSize);
    } // retranslateUi

};

namespace Ui {
    class dlgSheetSize: public Ui_dlgSheetSize {};
} // namespace Ui

#endif // SETSHEETSIZE_H
